summaryrefslogtreecommitdiffstats
path: root/usr
diff options
context:
space:
mode:
authorlassulus <lassulus@googlemail.com>2013-06-10 21:02:46 +0200
committerlassulus <lassulus@googlemail.com>2013-06-10 21:02:46 +0200
commit04457e14918e7b2a99fc2d6243f004d8452977e3 (patch)
treeba40f064ea59b72a8cf9b91abaebe61ad8b53755 /usr
parent39756bf494a8caf6864cee19a3e6c8d988e5df0e (diff)
now with convenient loop
Diffstat (limited to 'usr')
-rwxr-xr-xusr/bin/autowifi5
1 files changed, 5 insertions, 0 deletions
diff --git a/usr/bin/autowifi b/usr/bin/autowifi
index b8ba1482..f0bfd83d 100755
--- a/usr/bin/autowifi
+++ b/usr/bin/autowifi
@@ -151,4 +151,9 @@ elif [ -n "$1" ]; then
else
echo looping network now
loop_over_networks
+ while sleep 60; do
+ if ! check_internet; then
+ loop_over_networks
+ fi
+ done
fi